# gds-filter-chips

**Class**: `GdsFilterChips`

**Tag**: `<gds-filter-chips>`


## Properties

| Name | Type | Default | Description |
|------|------|---------|-------------|
| `value` | `any` | `-` | The value of the currently selected chip or chips. This will be an array if multi-select is enabled. |
| `multiple` | `boolean` | `-` | Whether multiple chips can be selected at once. |
| `label` | `string` | `-` | The accessible label for the control |
| `rowCollapse` | `boolean` | `-` | Whether the chips should collapse into a single row when space is limited |
| `validator` | `GdsValidator \| undefined` | `-` | A validator that can be used to validate the form control and set an error message. |
| `required` | `boolean` | `-` | The required attribute can be used to communicate to users of assistive technology that the control is required. Validation still needs to be done in a validator or equivalent. |
| `errorMessage` | `string` | `-` | This can be used to manually control the error message that will be displayed when the control is invalid. |
| `invalid` | `any` | `-` | Validation state of the form control. Setting this to true triggers the invalid state of the control. |
| `name` | `string` | `-` |  |
| `disabled` | `boolean` | `-` | If the input is Disabled |


## Events

| Name | Type | Description |
|------|------|-------------|
| `change` | `Event` | When a chip is clicked |


## Slots

| Name | Description |
|------|-------------|
| `(default)` | The filter chips to display |


## Methods

### `focus(options?: FocusOptions): void`

**Parameters:**

- `options`: `FocusOptions` _(optional)_


## Form Control

This component is a form control and inherits form-related properties and methods.
